Subject: Re: [sacm] [Rats] [Cbor] 🔔 WGLC on draft-ietf-cbor-tags-oid-02

From: Laurence Lundblade <[email-masked]>
Date: Mon, 2 Nov 2020 11:01:18 -0800

> On Oct 31, 2020, at 1:36 PM, Carsten Bormann <[email-masked]> wrote:
> 
>> 
>> CWT seems a little ambiguous as to whether thusly encoded OIDs are allowed as a label/key. Section 3 says:
>> 
>>   To keep CWTs as small as possible, the Claim Keys are represented
>>   using integers or text strings.
>> 
>> 
>> This seems more of a statement of design intent rather than a prohibition against other types of Claim Keys, but one could interpret it as a prohibition.
> 
> It is neither: It is a statement of fact.
> The dual of this statement is:
> If the label (map key) is not an integer or a text string, this label is not a Claim Key.
> (And, since Claims use Claim Keys, the key/value pair is not a Claim, and ... the whole thing is not a CWT.)

This the interpretation I was thinking of when I used the word prohibition. I am glad for this as it keeps the implementation I’m working on  lot simpler.

The upshot is two things:

   1) No one can define, register, or standardize a Claim Key that is not an integer or text string

   2) CWT decoder/verifiers should error out if they encounter a Claim Key that is not an integer or text string

LL